/*
AUTORE: Manuel Vichi
Tipo di triangolo
*/
#include <iostream>
using namespace std;
int main(void) {
	unsigned int lato1, lato2, lato3, area, perimetro;
	cout << "Inserisci il lato 1: ";
	cin >> lato1;
	cout << endl;
	cout << "Inserisci il lato 2: ";
	cin >> lato2;
	cout << endl;
	cout << "Inserisci il lato 3: ";
	cin >> lato3;
	cout << endl;
	if (lato1 > lato2 + lato3) {
		cout << "ERRORE! Il lato 1 non puo' essere maggiore della somma degli altri due" << endl;
	}
	else if (lato2 > lato1 + lato3) {
		cout << "ERRORE! Il lato 2 non puo' essere maggiore della somma degli altri due" << endl;
	}
	else if (lato3 > lato2 + lato1) {
		cout << "ERRORE! Il lato 3 non puo' essere maggiore della somma degli altri due" << endl;
	}
	else {
		perimetro = lato1 + lato2 + lato3;
		area = (lato1 + lato2 + lato3)/2;
		cout << "PERIMETRO: " << perimetro << endl << "AREA: " << area << endl;
		if (lato1 != lato2 && lato2 != lato3 && lato3 != lato1) {
			cout << "Tipo di triangolo: Scaleno" << endl;
		}
		else if (lato1 == lato2 && lato2 == lato3 && lato3 == lato1) {
			cout << "Tipo di triangolo: Equilatero" << endl;
		}
		else if (lato1 == lato2 || lato2 == lato3 || lato3 == lato1) {
			cout << "Tipo di triangolo: Isoscele" << endl;
		}
	}
	return 0;
}